Name:     insights-ansible-playbook-verifier
Version:  0.1.0
Release:  0.20250205124241607941.main%{?dist}
Summary:  Ansible playbook verifier for Red Hat Insights
License:  MIT

URL:      https://github.com/RedHatInsights/%{name}
# Source0:  %{url}/archive/refs/tags/v%{version}.tar.gz
Source0:  %{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
Requires: gpg
%generate_buildrequires
%pyproject_buildrequires

%description
insights-ansible-playbook-verifier package cryptographically verifies Ansible
playbooks generated by Red Hat Insights.

%package -n insights-ansible-playbook-signer
Requires: %{name} = %{version}-%{release}
Summary:  Ansible playbook signer for Ansible playbook verifier

%description -n insights-ansible-playbook-signer
insights-ansible-playbook-signer package cryptographically signs Ansible
playbooks to be used by the verifier.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install insights_ansible_playbook_lib insights_ansible_playbook_verifier insights_ansible_playbook_signer
mkdir -p %{buildroot}/%{_libexecdir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_libexecdir}
mv %{buildroot}%{_bindir}/insights-ansible-playbook-signer %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}/%{_localstatedir}/lib/%{name}/
%pyproject_save_files insights_ansible_playbook_lib insights_ansible_playbook_verifier insights_ansible_playbook_signer

%check
%pyproject_check_import insights_ansible_playbook_lib insights_ansible_playbook_verifier insights_ansible_playbook_signer

%files -n %{name} -f %{pyproject_files}
%{_libexecdir}/%{name}
%attr(700,root,root) %dir %{_localstatedir}/lib/%{name}/
%license LICENSE

%files -n insights-ansible-playbook-signer
%{_libexecdir}/insights-ansible-playbook-signer

%changelog
%autochangelog
